if (NOT tck OR NOT option_file)
  message(FATAL_ERROR "tck/option_file not specified")
endif()

file(WRITE  ${option_file} "from Configurables import Moore\n")
file(APPEND ${option_file} "Moore().InitialTCK = '${tck}'\n")

if (tck MATCHES "^0x[15]")
  file(APPEND ${option_file} "Moore().Split = 'Hlt1'\n")
elseif (tck MATCHES "^0x[26]")
  file(APPEND ${option_file} "Moore().Split = 'Hlt2'\n")
else()
  # Handle gracefully non-split or special 0x8xxx TCKs
  message(WARNING "TCK " ${tck} " not supported")
endif()

if (tck MATCHES "^0x[12]")
  file(APPEND ${option_file} "Moore().outputFile = 'dummy.mdf'\n")
endif()

if (tck MATCHES "^0x[56]")
  file(APPEND ${option_file} "Moore().Simulation = True\n")
  file(APPEND ${option_file} "Moore().WriterRequires = []\n")
  file(APPEND ${option_file} "Moore().outputFile = 'dummy.dst'\n")
endif()
