from datetime import datetime
from Gaudi.Configuration import allConfigurables
from Configurables import CondDB

try:
    conf = allConfigurables['Moore']
    # reset to the default DataType of Moore
    datatype = conf.getDefaultProperty('DataType')
except KeyError:
    from Configurables import LHCbApp, Moore
    # get the default Moore DataType without "instantiating" it
    datatype = Moore(_enabled=False).getProp('DataType')
    # this needs to be second for some unknown reason, see LBHLT-281
    conf = LHCbApp()

conf.DataType = datatype

# Use the latest DB tags; should be quite safe for the functor cache
CondDB().LatestGlobalTagByDataType = conf.getProp('DataType')
