from Configurables import ApplicationMgr
from Configurables import HltMonitoringConf
from Configurables import GaudiSequencer
from Configurables import LoKiSvc
from Configurables import LHCbApp

app = LHCbApp()
# set DataType and tags with options/DataTypeAndTags.py!

# Use the TCK to get the factories configured from there
from Configurables import ConfigCDBAccessSvc
accessSvc = ConfigCDBAccessSvc(File='$HLTTCKROOT/config.cdb')

from Configurables import HltConfigSvc
configSvc = HltConfigSvc()
configSvc.checkOdin = True
configSvc.OutputLevel = 5
configSvc.ConfigAccessSvc = accessSvc.getFullName()

# Empty the Hlt sequence to disable the HLT.
from Moore import Funcs
hltTrans = {'GaudiSequencer/Hlt': {"Members": {"'.*'": ""}}}
Funcs._mergeTransform(hltTrans)

ApplicationMgr().ExtSvc.insert(0, HltConfigSvc().getFullName())

seq = GaudiSequencer('HltOnlineMonitorSequence')
monitorConf = HltMonitoringConf()
monitorConf.ExtraName = 'Online'
monitorConf.EnableTrackMonitor = False
monitorConf.MonitorSequence = seq

# Configure the Hlt monitoring for HLT1 and HLT2 monitoring and set fromTCK to
# avoid accessing instantiated HltLine configurables
tck = int(configSvc.initialTCK, 16)
monitorConf.configureHltMonitoring(hlt1lines = (tck & (1 << 28)), hlt2lines = (tck & (1 << 29)), fromTCK = True)

ApplicationMgr().TopAlg = [seq]
LoKiSvc().Welcome = False
