from Configurables import L0App
from Configurables import HltRoutingBitsFilter
from Configurables import bankKiller

rb_filter = HltRoutingBitsFilter("RoutingBitsFilter")
rb_filter.RequireMask = [0x0, 0x0, 0x80000000]

hlt_banks = ['HltDecReports', 'HltRoutingBits', 'HltSelReports',
             'HltVertexReports','HltLumiSummary','HltTrackReports',
             'DstData']
killer = bankKiller('RemoveInputHltRawBanks', BankTypes=hlt_banks)

app = L0App()
# L0 TCK will be set later in default-l0tck
# app.TCK = '0x18A1'
# Defaults should be latest, check L0App/Configuration.py
# app.DataType =
# app.CondDBtag =
# app.DDDBtag =
app.Simulation = False
app.ReplaceL0Banks = True
app.ReplayL0DUOnly = True
app.outputFile = "default-input.mdf"
app.EventPreFilters = [rb_filter, killer]
app.L0Filter = 'L0_DECISION(LHCb.L0DUDecision.Any)'

from Configurables import EventSelector
EventSelector().PrintFreq = 1

from GaudiConf import IOHelper
IOHelper('MDF').inputFiles([
    'mdf:root://eoslhcb.cern.ch//eos/lhcb/wg/HLT/2016CommissioningDatasets/'
    'OneAcceptedPerLine_v25r1_Physics_pp_June2016_190416/Moore%02d.mdf'%i for i in range(0, 15)
    ])
app.EvtMax = -1

# Get rid of warnings
from Configurables import IODataManager, HistogramPersistencySvc
IODataManager().DisablePFNWarning = True
HistogramPersistencySvc().OutputLevel = 5
