"""Re-run L0 on a juggled signal MC sample

The output file will be used to check the efficiency function
of Moore_RateTest.py in PRConfig

"""
from Configurables import L0App
from Configurables import bankKiller

hlt_banks = ['HltDecReports', 'HltRoutingBits', 'HltSelReports',
             'HltVertexReports','HltLumiSummary','HltTrackReports',
             'DstData']
killer = bankKiller('RemoveInputHltRawBanks', BankTypes=hlt_banks)

L0App().TCK = '0x160F'
L0App().ReplaceL0Banks = True
L0App().outputFile = 'rerunL0.dst'
L0App().EventPreFilters = [killer]
L0App().L0Filter = 'L0_DECISION(LHCb.L0DUDecision.Any)'


from PRConfig import TestFileDB
OriginalTestFileDBPath = 'MC_2015_27163003_DstToD0pip_D0ToKmPip'
TestFileDB.test_file_db[OriginalTestFileDBPath].setqualifiers(configurable=L0App())

from GaudiConf import IOHelper
IOHelper().inputFiles(['PFN:juggled.dst'])

# Get rid of warnings
from Configurables import HistogramPersistencySvc
HistogramPersistencySvc().OutputLevel = 5
