from Configurables import L0App

app = L0App()
app.ReplaceL0Banks = True
app.ReplayL0DUOnly = True
app.outputFile = "RedoL0_2017SMOGControl.mdf"
app.EvtMax = 14000
app.TCK = '0x17B0'
app.DataType = '2017'
app.CondDBtag = '<latest:2017>'
app.DDDBtag = '<latest:2017>'

from GaudiConf import IOExtension
IOExtension().inputFiles([
    'mdf:root://eoslhcb.cern.ch//eos/lhcb/wg/HLT/CreateTCK/protonHelium/SMOGPHY_174744_0000001400_NoBias.mdf',
    'mdf:root://eoslhcb.cern.ch//eos/lhcb/wg/HLT/CreateTCK/protonHelium/FULL_174744_0000001464_NoBias.mdf',
])

# HLT Bank killer
from Configurables import bankKiller
hlt_banks = ['HltDecReports', 'HltRoutingBits', 'HltSelReports',
             'HltVertexReports', 'HltLumiSummary', 'HltTrackReports',
             'DstData']
killer = bankKiller( 'RemoveInputHltRawBanks',  BankTypes = hlt_banks )
app.EventPreFilters = [killer]

# Get rid of warnings
from Configurables import IODataManager, HistogramPersistencySvc
IODataManager().DisablePFNWarning = True
HistogramPersistencySvc().OutputLevel = 5

# import GaudiPython
# gaudi = GaudiPython.AppMgr()
# gaudi.initialize()
# TES = gaudi.evtsvc()
#
# L0_DECISIONS_MAP = [(1, 'Physics'), (2, 'Beam1'), (4, 'Beam2')]
#
# def fill_l0du(l0du):
#     res = {}
#     for dec, decname in L0_DECISIONS_MAP:
#         res[decname] = l0du.decisionFromSummary(dec)
#     assert l0du.valid()
#     l0du_conf = l0du.configuration()
#     channels = dict(l0du_conf.channels())
#     for ch in sorted(channels.keys()):
#         res[ch] = l0du.channelDecisionByName(ch)
#     return res
#
#
# bx_stat = {i: 0 for i in range(4)}
# bx_pass = {i: 0 for i in range(4)}
# decs = []
#
#
# #while True:
# for i in range(14000):
#     gaudi.run(1)
#     odin = TES['DAQ/ODIN']
#     if not odin:
#         break
#     l0du = TES['Trig/L0/L0DUReport']
#     bx_stat[odin.bunchCrossingType()] += 1
#     bx_pass[odin.bunchCrossingType()] += l0du.decisionFromSummary(7)
#     res = fill_l0du(l0du)
#     res['bx'] = odin.bunchCrossingType()
#     if l0du.decisionFromSummary(7):
#         decs.append(res)
#
# print bx_stat
# print bx_pass
# print sum([d['B1gas'] for d in decs if d['bx']==1])
