settings = {
    # Modify these as approppriate for the new TCKs:
    "Hlt1TCK": "0x10011600",
    "Hlt2TCK": "0x20011600",
    # Check if these need to be updated:
    "DDDBtag": "dddb-20150724",
    "CondDBtag": "cond-20160522",
}


from Moore.Configuration import Moore

# Options that are defined in the CreateTCK/TestTCK script
split = Moore().getProp('Split')
useTCK = Moore().getProp('UseTCK')
assert useTCK

# Standard Moore options that should be the same for all TCK creation and testing steps
Moore().EvtMax = -1
Moore().CheckOdin = False
Moore().DDDBtag = settings['DDDBtag']
Moore().CondDBtag = settings['CondDBtag']

# for the TestTCK steps
Moore().InitialTCK = settings[split + "TCK"]

# This will require that the functor cache has been built properly.
from Moore import Funcs
outputTrans = {".*Factory.*": {"UsePython": {"^.*$": "False"}}}
Funcs._mergeTransform(outputTrans)
