import argparse
from TCKUtils.utils import *

parser = argparse.ArgumentParser()
parser.add_argument("--split", help='split level (Hlt1 or Hlt2).')
args = parser.parse_args()

cas = ConfigAccessSvc(File='TCKData/config.cdb')

configurations = getConfigurations(cas=cas)

TCKs = []
for k,v in configurations.iteritems():
    TCK = v.info['TCK'][0]
    tckbits = (TCK & (3 << 28)) >> 28
    reqtckbits = 1 if args.split == "Hlt1" else 2
    if tckbits == reqtckbits:
        TCKs.append(TCK)
TCKs = list(reversed(sorted(TCKs)))

print 'found the following {} TCKs: {}'.format(
    args.split, ['0x{:x}'.format(i) for i in TCKs])

if len(TCKs) != 2:
    raise RuntimeError('Found %s (require 2) %s TCKs in the config.cdb ' %(len(TCKs),args.split))
print 'diff the first two'
diff(TCKs[0], TCKs[1], human=True, cas=cas)

#import sys
#sys.exit(0)
#sys.exit(77)
