'''Options to ??? python configuration in gaudirun.py

Add this to the beginning or end of your list of options, e.g.:
$ gaudirun.py options.py python-coverage.py

To use the .pstats dump do:

For this to work, the following dependencies are needed:
$ pip install gprof2dot
$ yum install graphviz
'''

import coverage
import os
from datetime import datetime
from Gaudi.Configuration import appendPostConfigAction

# filename = ('profile-{:%Y%m%dT%H%M}-{}.coverage'
#             .format(datetime.now(), os.getpid()))

cov = coverage.coverage(data_file='coverage', data_suffix=True)

def start_profile():
    cov.start()

def stop_profile(sortby='cumulative'):
    cov.stop()
    cov.save()
    # cov.html_report(directory=)

# Post-config action inception, or how do we make sure this is really
# the last thing to be called
appendPostConfigAction(lambda: appendPostConfigAction(stop_profile))

start_profile()
