from __future__ import print_function
import re
from TCKUtils.utils import getConfigurations

MIN_MOORE_VER = [22, 0]

tcks = set()
for config in getConfigurations().values():
    info = config.info
    ver = map(int, re.match(r'MOORE_v(\d+)r(\d+)?', info['release']).groups())
    if not info['TCK']:
        continue
    tck = info['TCK'][0]
    if ver < MIN_MOORE_VER or tck & 0xffff == 0:
        continue
    tcks.add('{:#06x}'.format(tck & 0xffff))

print(' '.join(sorted(tcks)))
